jEdit Community - Resources for users of the jEdit Text Editor
Error Using Console Plugin
Submitted by derb58 on Thursday, 20 January, 2005 - 21:59
I am new to this so please forgive me.
I am using Windows 2000 and Fedora Core 3 Linux with Jedit. In Linux I have no problems but in WIndows I have a problem with the console plugin.
I can compile the java file through the console plugin no problem but when i try to run the buffer I get this error in red.

java.lang.UnsupportedClassVersionError: HelloWorld (Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
Exception in thread "main" Process java exited with code 1

Now if I run the class from an external command window in Win 2000 it runs fine. I am assuming I have a setting wrong or my Paths are set wrong. Can anyone help me with this. As I said I can do it all normally in Linux. Thanks for your help.
John V
Comment viewing options
Select your preferred way to display the comments and click 'Save settings' to activate your changes.
Similiar problem
by Anonymous on Tue, 12/04/2005 - 15:46
I noticed that when I'm running JEdit on my Win XP install that the console is using some older version of a jdk/jre... when I type "java -version" from the console it reports that it is using 1.3 (although JEdit itself is using 1.4 to run) whereas when i bail out to a cmd and type "java -version" i get the correctly installed 1.4

Is there any way to point the console plugin at the correct jdk?
is aid
by fxy228 on Wed, 26/01/2005 - 08:47
 
User login
Browse archives
« July 2015  
MoTuWeThFrSaSu
 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
 
Poll
Are you interested in language packs for jEdit?
Yes, and I could help maintain translations
26%
Yes, I'd like to have translations
33%
Indifferent
35%
No, that'd be bad (please comment)
7%
Total votes: 1092
Syndication
file   ver   dls
German Localization light   4.4.2.1   48067
Context Free Art (*.cfdg)   0.31   38031
JBuilder scheme   .001   12812
BBEdit scheme   1.0   12364
ColdFusion scheme   1.0   12361
R Edit Mode - extensive version   0.1   12098
Advanced HTML edit mode   1.0   11542
Matlab Edit Mode   1.0   11400
jEdit XP icons   1.0   10871
XP icons for jEdit   1.1   10537